### Constructor

# Gimp DrawableFilter new

since: 3.0

#### Declaration [src]

    GimpDrawableFilter*
    gimp_drawable_filter_new (
      GimpDrawable* drawable,
      const gchar* operation_name,
      const gchar* name
    )

#### Description [src]

Create a new drawable filter.

This procedure creates a new filter for the specified operation on `drawable`. The new effect still needs to be either added or merged to `drawable` later. Add the effect non-destructively with `gimp_drawable_append_filter()`. Currently only layers can have non-destructive effects. The effects must be merged for all other types of drawable.

Available since: 3.0

#### Parameters

`drawable`

  Type: `GimpDrawable`

  The drawable.

  The data is owned by the caller of the function.

`operation_name`

  Type: `const gchar*`

  The GEGL operation’s name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  The effect name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpDrawableFilter`

The newly created filter.

The data is owned by the called function.